# glm::gtx::associated_min_max Namespace Reference

GLM_GTX_associated_min_max extension: Min and max functions that return associated values not the compared onces. More...

## Functions
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMax (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b, const genTypeT &z, const genTypeU &c, const genTypeT &w, const genTypeU &d)
| Max comparison between 4 variables.
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMax (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b, const genTypeT &z, const genTypeU &c)
| Max comparison between 3 variables.
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMax (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b)
| Max comparison between 2 variables.
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMin (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b, const genTypeT &z, const genTypeU &c, const genTypeT &w, const genTypeU &d)
| Min comparison between 4 variables.
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMin (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b, const genTypeT &z, const genTypeU &c)
| Min comparison between 3 variables.
template<typename genTypeT , typename genTypeU >
genTypeU | associatedMin (const genTypeT &x, const genTypeU &a, const genTypeT &y, const genTypeU &b)
| Min comparison between 2 variables.

## Detailed Description

GLM_GTX_associated_min_max extension: Min and max functions that return associated values not the compared onces.